# Invocation

Pathetic Writer is invoked as:

    pw [X-options] [siod-options] [filename]

### X Options

Pathetic Writer accepts the standard X Toolkit command line options and arguments:

-display display
-geometry geometry
-bg color, -background color
-bd color, -bordercolor color
-bw number, -borderwidth number
-fg color, -foreground color
-fn font, -font font
-iconic
-name
-rv, -reverse
+rv
-selectionTimeout
-synchronous
-title string
-xnllanguage language[ territory][.codeset]
-xrm resourcestring

### Siod options

Any options not accepted by X are passed on to Siod, which accepts the following options:

-hXXXXX:[N]
  XXXXX is an integer, to specify the heap size in obj cells. N is an optional number of heaps limit (default 2).
-iXXXXX
  XXXXX is a filename to load before going into the repl loop.
-gX
  X = 1 for stop-and-copy garbage collection, 0 for mark-and-sweep.
-oXXXXX
  XXXXX is the size of the symbol hash table to use, default 100.
-nXXXXX
  XXXXX is the number of preconsed/interned non-negative numbers.
-sXXXXX
  XXXXX is the number of bytes of machine recursion stack.
-eXXXXX
  XXXXX is an expression to evaluate, then exit.

### Filenames

Any other arguments are taken as names of Pathetic Writer documents to be loaded on startup. If no filenames are given, Pathetic Writer is started with an empty document called "noname".

### Environment Variables

The following environment variables can be used to customize Pathetic Writer.

SIAGHOME
  The base directory of the Pathetic Writer installation. This variable is used to find the documentation. Defaults to "/usr/local/siag".
SIAGHELP
  The name of the web browser that will be used to view the on-line help. Defaults to "siaghelp".